Skip to content
Linq

Webhooks

ModelsExpand Collapse
class ConnectionCreatedWebhookEvent: …
api_version: str

API version for the webhook payload format

created_at: datetime

When the event was created

formatdate-time
data: Data

The payment request, as returned by GET /v3/payment_requests/{paymentRequestId}.

id: str

The payment request id.

formatuuid
amount: int

What was charged at checkout, in the currency’s minor units. In subscription mode this is the first invoice’s total — all items after any discounts are applied.

formatint64
checkout_url: str

URL the recipient opens to pay (https://zero.linqapp.com/pay/{slug}?session=...).

created_at: datetime
formatdate-time
currency: str
object: str
status: Literal["succeeded", "failed", "canceled", "expired"]
One of the following:
"succeeded"
"failed"
"canceled"
"expired"
description: Optional[str]
discount: Optional[DataDiscount]

Subscription mode — the discount Stripe applied, read back from the coupon. Absent when none was applied.

coupon: Optional[str]
label: Optional[str]

Name of the coupon/promo code displayed to customers.

promotion_code: Optional[str]
interval: Optional[Literal["day", "week", "month", "year"]]

Subscription mode — how often the subscription renews.

One of the following:
"day"
"week"
"month"
"year"
interval_count: Optional[int]

Subscription mode — intervals per renewal.

formatint64
metadata: Optional[Dict[str, str]]
mode: Optional[Literal["payment", "subscription"]]

Whether the request collected a one-time charge or started a subscription.

One of the following:
"payment"
"subscription"
natural: Optional[DataNatural]

Natural-rail join keys, present when rail: natural.

payment_request_id: Optional[str]

The Natural payment request (prq_...).

transaction_id: Optional[str]

The settled transaction (txn_...).

price_id: Optional[str]

Subscription mode — the recurring price subscribed to.

quantity: Optional[int]

Subscription mode — units of the price subscribed to.

formatint64
rail: Optional[Literal["stripe", "natural"]]

The rail this request settled on.

One of the following:
"stripe"
"natural"
stripe: Optional[DataStripe]

Ids of the Stripe objects on your connected account — join keys into your own Stripe Dashboard/API. Manage a subscription’s post-checkout lifecycle with subscription_id.

customer_id: Optional[str]

The Customer the request is attached to (cus_...). Always set in subscription mode; set in payment mode only when the request was created with a customer_id.

payment_intent_id: Optional[str]

The PaymentIntent collected at checkout (pi_...).

subscription_id: Optional[str]

Subscription mode — the Subscription (sub_...).

trial_end: Optional[datetime]

Subscription mode — when the free trial ends and the first charge happens. On a trial request, payment.succeeded means the payment method was collected ($0 moved).

formatdate-time
updated_at: Optional[datetime]
formatdate-time
event_id: str

Unique identifier for this event (for deduplication)

formatuuid
event_type: Literal["payment.succeeded", "payment.canceled", "payment.expired", 66 more]
One of the following:
"payment.succeeded"
"payment.canceled"
"payment.expired"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: str

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: str

Trace ID for debugging and correlation across systems.

webhook_version: str

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.

class ConnectionRevokedWebhookEvent: …
api_version: str

API version for the webhook payload format

created_at: datetime

When the event was created

formatdate-time
data: Data

The payment request, as returned by GET /v3/payment_requests/{paymentRequestId}.

id: str

The payment request id.

formatuuid
amount: int

What was charged at checkout, in the currency’s minor units. In subscription mode this is the first invoice’s total — all items after any discounts are applied.

formatint64
checkout_url: str

URL the recipient opens to pay (https://zero.linqapp.com/pay/{slug}?session=...).

created_at: datetime
formatdate-time
currency: str
object: str
status: Literal["succeeded", "failed", "canceled", "expired"]
One of the following:
"succeeded"
"failed"
"canceled"
"expired"
description: Optional[str]
discount: Optional[DataDiscount]

Subscription mode — the discount Stripe applied, read back from the coupon. Absent when none was applied.

coupon: Optional[str]
label: Optional[str]

Name of the coupon/promo code displayed to customers.

promotion_code: Optional[str]
interval: Optional[Literal["day", "week", "month", "year"]]

Subscription mode — how often the subscription renews.

One of the following:
"day"
"week"
"month"
"year"
interval_count: Optional[int]

Subscription mode — intervals per renewal.

formatint64
metadata: Optional[Dict[str, str]]
mode: Optional[Literal["payment", "subscription"]]

Whether the request collected a one-time charge or started a subscription.

One of the following:
"payment"
"subscription"
natural: Optional[DataNatural]

Natural-rail join keys, present when rail: natural.

payment_request_id: Optional[str]

The Natural payment request (prq_...).

transaction_id: Optional[str]

The settled transaction (txn_...).

price_id: Optional[str]

Subscription mode — the recurring price subscribed to.

quantity: Optional[int]

Subscription mode — units of the price subscribed to.

formatint64
rail: Optional[Literal["stripe", "natural"]]

The rail this request settled on.

One of the following:
"stripe"
"natural"
stripe: Optional[DataStripe]

Ids of the Stripe objects on your connected account — join keys into your own Stripe Dashboard/API. Manage a subscription’s post-checkout lifecycle with subscription_id.

customer_id: Optional[str]

The Customer the request is attached to (cus_...). Always set in subscription mode; set in payment mode only when the request was created with a customer_id.

payment_intent_id: Optional[str]

The PaymentIntent collected at checkout (pi_...).

subscription_id: Optional[str]

Subscription mode — the Subscription (sub_...).

trial_end: Optional[datetime]

Subscription mode — when the free trial ends and the first charge happens. On a trial request, payment.succeeded means the payment method was collected ($0 moved).

formatdate-time
updated_at: Optional[datetime]
formatdate-time
event_id: str

Unique identifier for this event (for deduplication)

formatuuid
event_type: Literal["payment.succeeded", "payment.canceled", "payment.expired", 66 more]
One of the following:
"payment.succeeded"
"payment.canceled"
"payment.expired"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: str

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: str

Trace ID for debugging and correlation across systems.

webhook_version: str

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.

class PaymentAuthorizedWebhookEvent: …
api_version: str

API version for the webhook payload format

created_at: datetime

When the event was created

formatdate-time
data: Data

The payment request, as returned by GET /v3/payment_requests/{paymentRequestId}.

id: str

The payment request id.

formatuuid
amount: int

What was charged at checkout, in the currency’s minor units. In subscription mode this is the first invoice’s total — all items after any discounts are applied.

formatint64
checkout_url: str

URL the recipient opens to pay (https://zero.linqapp.com/pay/{slug}?session=...).

created_at: datetime
formatdate-time
currency: str
object: str
status: Literal["succeeded", "failed", "canceled", "expired"]
One of the following:
"succeeded"
"failed"
"canceled"
"expired"
description: Optional[str]
discount: Optional[DataDiscount]

Subscription mode — the discount Stripe applied, read back from the coupon. Absent when none was applied.

coupon: Optional[str]
label: Optional[str]

Name of the coupon/promo code displayed to customers.

promotion_code: Optional[str]
interval: Optional[Literal["day", "week", "month", "year"]]

Subscription mode — how often the subscription renews.

One of the following:
"day"
"week"
"month"
"year"
interval_count: Optional[int]

Subscription mode — intervals per renewal.

formatint64
metadata: Optional[Dict[str, str]]
mode: Optional[Literal["payment", "subscription"]]

Whether the request collected a one-time charge or started a subscription.

One of the following:
"payment"
"subscription"
natural: Optional[DataNatural]

Natural-rail join keys, present when rail: natural.

payment_request_id: Optional[str]

The Natural payment request (prq_...).

transaction_id: Optional[str]

The settled transaction (txn_...).

price_id: Optional[str]

Subscription mode — the recurring price subscribed to.

quantity: Optional[int]

Subscription mode — units of the price subscribed to.

formatint64
rail: Optional[Literal["stripe", "natural"]]

The rail this request settled on.

One of the following:
"stripe"
"natural"
stripe: Optional[DataStripe]

Ids of the Stripe objects on your connected account — join keys into your own Stripe Dashboard/API. Manage a subscription’s post-checkout lifecycle with subscription_id.

customer_id: Optional[str]

The Customer the request is attached to (cus_...). Always set in subscription mode; set in payment mode only when the request was created with a customer_id.

payment_intent_id: Optional[str]

The PaymentIntent collected at checkout (pi_...).

subscription_id: Optional[str]

Subscription mode — the Subscription (sub_...).

trial_end: Optional[datetime]

Subscription mode — when the free trial ends and the first charge happens. On a trial request, payment.succeeded means the payment method was collected ($0 moved).

formatdate-time
updated_at: Optional[datetime]
formatdate-time
event_id: str

Unique identifier for this event (for deduplication)

formatuuid
event_type: Literal["payment.succeeded", "payment.canceled", "payment.expired", 66 more]
One of the following:
"payment.succeeded"
"payment.canceled"
"payment.expired"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: str

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: str

Trace ID for debugging and correlation across systems.

webhook_version: str

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.

class PaymentCanceledWebhookEvent: …
api_version: str

API version for the webhook payload format

created_at: datetime

When the event was created

formatdate-time
data: Data

The payment request, as returned by GET /v3/payment_requests/{paymentRequestId}.

id: str

The payment request id.

formatuuid
amount: int

What was charged at checkout, in the currency’s minor units. In subscription mode this is the first invoice’s total — all items after any discounts are applied.

formatint64
checkout_url: str

URL the recipient opens to pay (https://zero.linqapp.com/pay/{slug}?session=...).

created_at: datetime
formatdate-time
currency: str
object: str
status: Literal["succeeded", "failed", "canceled", "expired"]
One of the following:
"succeeded"
"failed"
"canceled"
"expired"
description: Optional[str]
discount: Optional[DataDiscount]

Subscription mode — the discount Stripe applied, read back from the coupon. Absent when none was applied.

coupon: Optional[str]
label: Optional[str]

Name of the coupon/promo code displayed to customers.

promotion_code: Optional[str]
interval: Optional[Literal["day", "week", "month", "year"]]

Subscription mode — how often the subscription renews.

One of the following:
"day"
"week"
"month"
"year"
interval_count: Optional[int]

Subscription mode — intervals per renewal.

formatint64
metadata: Optional[Dict[str, str]]
mode: Optional[Literal["payment", "subscription"]]

Whether the request collected a one-time charge or started a subscription.

One of the following:
"payment"
"subscription"
natural: Optional[DataNatural]

Natural-rail join keys, present when rail: natural.

payment_request_id: Optional[str]

The Natural payment request (prq_...).

transaction_id: Optional[str]

The settled transaction (txn_...).

price_id: Optional[str]

Subscription mode — the recurring price subscribed to.

quantity: Optional[int]

Subscription mode — units of the price subscribed to.

formatint64
rail: Optional[Literal["stripe", "natural"]]

The rail this request settled on.

One of the following:
"stripe"
"natural"
stripe: Optional[DataStripe]

Ids of the Stripe objects on your connected account — join keys into your own Stripe Dashboard/API. Manage a subscription’s post-checkout lifecycle with subscription_id.

customer_id: Optional[str]

The Customer the request is attached to (cus_...). Always set in subscription mode; set in payment mode only when the request was created with a customer_id.

payment_intent_id: Optional[str]

The PaymentIntent collected at checkout (pi_...).

subscription_id: Optional[str]

Subscription mode — the Subscription (sub_...).

trial_end: Optional[datetime]

Subscription mode — when the free trial ends and the first charge happens. On a trial request, payment.succeeded means the payment method was collected ($0 moved).

formatdate-time
updated_at: Optional[datetime]
formatdate-time
event_id: str

Unique identifier for this event (for deduplication)

formatuuid
event_type: Literal["payment.succeeded", "payment.canceled", "payment.expired", 66 more]
One of the following:
"payment.succeeded"
"payment.canceled"
"payment.expired"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: str

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: str

Trace ID for debugging and correlation across systems.

webhook_version: str

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.

class PaymentDeclinedWebhookEvent: …
api_version: str

API version for the webhook payload format

created_at: datetime

When the event was created

formatdate-time
data: Data

The payment request, as returned by GET /v3/payment_requests/{paymentRequestId}.

id: str

The payment request id.

formatuuid
amount: int

What was charged at checkout, in the currency’s minor units. In subscription mode this is the first invoice’s total — all items after any discounts are applied.

formatint64
checkout_url: str

URL the recipient opens to pay (https://zero.linqapp.com/pay/{slug}?session=...).

created_at: datetime
formatdate-time
currency: str
object: str
status: Literal["succeeded", "failed", "canceled", "expired"]
One of the following:
"succeeded"
"failed"
"canceled"
"expired"
description: Optional[str]
discount: Optional[DataDiscount]

Subscription mode — the discount Stripe applied, read back from the coupon. Absent when none was applied.

coupon: Optional[str]
label: Optional[str]

Name of the coupon/promo code displayed to customers.

promotion_code: Optional[str]
interval: Optional[Literal["day", "week", "month", "year"]]

Subscription mode — how often the subscription renews.

One of the following:
"day"
"week"
"month"
"year"
interval_count: Optional[int]

Subscription mode — intervals per renewal.

formatint64
metadata: Optional[Dict[str, str]]
mode: Optional[Literal["payment", "subscription"]]

Whether the request collected a one-time charge or started a subscription.

One of the following:
"payment"
"subscription"
natural: Optional[DataNatural]

Natural-rail join keys, present when rail: natural.

payment_request_id: Optional[str]

The Natural payment request (prq_...).

transaction_id: Optional[str]

The settled transaction (txn_...).

price_id: Optional[str]

Subscription mode — the recurring price subscribed to.

quantity: Optional[int]

Subscription mode — units of the price subscribed to.

formatint64
rail: Optional[Literal["stripe", "natural"]]

The rail this request settled on.

One of the following:
"stripe"
"natural"
stripe: Optional[DataStripe]

Ids of the Stripe objects on your connected account — join keys into your own Stripe Dashboard/API. Manage a subscription’s post-checkout lifecycle with subscription_id.

customer_id: Optional[str]

The Customer the request is attached to (cus_...). Always set in subscription mode; set in payment mode only when the request was created with a customer_id.

payment_intent_id: Optional[str]

The PaymentIntent collected at checkout (pi_...).

subscription_id: Optional[str]

Subscription mode — the Subscription (sub_...).

trial_end: Optional[datetime]

Subscription mode — when the free trial ends and the first charge happens. On a trial request, payment.succeeded means the payment method was collected ($0 moved).

formatdate-time
updated_at: Optional[datetime]
formatdate-time
event_id: str

Unique identifier for this event (for deduplication)

formatuuid
event_type: Literal["payment.succeeded", "payment.canceled", "payment.expired", 66 more]
One of the following:
"payment.succeeded"
"payment.canceled"
"payment.expired"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: str

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: str

Trace ID for debugging and correlation across systems.

webhook_version: str

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.

class PaymentExpiredWebhookEvent: …
api_version: str

API version for the webhook payload format

created_at: datetime

When the event was created

formatdate-time
data: Data

The payment request, as returned by GET /v3/payment_requests/{paymentRequestId}.

id: str

The payment request id.

formatuuid
amount: int

What was charged at checkout, in the currency’s minor units. In subscription mode this is the first invoice’s total — all items after any discounts are applied.

formatint64
checkout_url: str

URL the recipient opens to pay (https://zero.linqapp.com/pay/{slug}?session=...).

created_at: datetime
formatdate-time
currency: str
object: str
status: Literal["succeeded", "failed", "canceled", "expired"]
One of the following:
"succeeded"
"failed"
"canceled"
"expired"
description: Optional[str]
discount: Optional[DataDiscount]

Subscription mode — the discount Stripe applied, read back from the coupon. Absent when none was applied.

coupon: Optional[str]
label: Optional[str]

Name of the coupon/promo code displayed to customers.

promotion_code: Optional[str]
interval: Optional[Literal["day", "week", "month", "year"]]

Subscription mode — how often the subscription renews.

One of the following:
"day"
"week"
"month"
"year"
interval_count: Optional[int]

Subscription mode — intervals per renewal.

formatint64
metadata: Optional[Dict[str, str]]
mode: Optional[Literal["payment", "subscription"]]

Whether the request collected a one-time charge or started a subscription.

One of the following:
"payment"
"subscription"
natural: Optional[DataNatural]

Natural-rail join keys, present when rail: natural.

payment_request_id: Optional[str]

The Natural payment request (prq_...).

transaction_id: Optional[str]

The settled transaction (txn_...).

price_id: Optional[str]

Subscription mode — the recurring price subscribed to.

quantity: Optional[int]

Subscription mode — units of the price subscribed to.

formatint64
rail: Optional[Literal["stripe", "natural"]]

The rail this request settled on.

One of the following:
"stripe"
"natural"
stripe: Optional[DataStripe]

Ids of the Stripe objects on your connected account — join keys into your own Stripe Dashboard/API. Manage a subscription’s post-checkout lifecycle with subscription_id.

customer_id: Optional[str]

The Customer the request is attached to (cus_...). Always set in subscription mode; set in payment mode only when the request was created with a customer_id.

payment_intent_id: Optional[str]

The PaymentIntent collected at checkout (pi_...).

subscription_id: Optional[str]

Subscription mode — the Subscription (sub_...).

trial_end: Optional[datetime]

Subscription mode — when the free trial ends and the first charge happens. On a trial request, payment.succeeded means the payment method was collected ($0 moved).

formatdate-time
updated_at: Optional[datetime]
formatdate-time
event_id: str

Unique identifier for this event (for deduplication)

formatuuid
event_type: Literal["payment.succeeded", "payment.canceled", "payment.expired", 66 more]
One of the following:
"payment.succeeded"
"payment.canceled"
"payment.expired"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: str

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: str

Trace ID for debugging and correlation across systems.

webhook_version: str

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.

class PaymentSucceededWebhookEvent: …
api_version: str

API version for the webhook payload format

created_at: datetime

When the event was created

formatdate-time
data: Data

The payment request, as returned by GET /v3/payment_requests/{paymentRequestId}.

id: str

The payment request id.

formatuuid
amount: int

What was charged at checkout, in the currency’s minor units. In subscription mode this is the first invoice’s total — all items after any discounts are applied.

formatint64
checkout_url: str

URL the recipient opens to pay (https://zero.linqapp.com/pay/{slug}?session=...).

created_at: datetime
formatdate-time
currency: str
object: str
status: Literal["succeeded", "failed", "canceled", "expired"]
One of the following:
"succeeded"
"failed"
"canceled"
"expired"
description: Optional[str]
discount: Optional[DataDiscount]

Subscription mode — the discount Stripe applied, read back from the coupon. Absent when none was applied.

coupon: Optional[str]
label: Optional[str]

Name of the coupon/promo code displayed to customers.

promotion_code: Optional[str]
interval: Optional[Literal["day", "week", "month", "year"]]

Subscription mode — how often the subscription renews.

One of the following:
"day"
"week"
"month"
"year"
interval_count: Optional[int]

Subscription mode — intervals per renewal.

formatint64
metadata: Optional[Dict[str, str]]
mode: Optional[Literal["payment", "subscription"]]

Whether the request collected a one-time charge or started a subscription.

One of the following:
"payment"
"subscription"
natural: Optional[DataNatural]

Natural-rail join keys, present when rail: natural.

payment_request_id: Optional[str]

The Natural payment request (prq_...).

transaction_id: Optional[str]

The settled transaction (txn_...).

price_id: Optional[str]

Subscription mode — the recurring price subscribed to.

quantity: Optional[int]

Subscription mode — units of the price subscribed to.

formatint64
rail: Optional[Literal["stripe", "natural"]]

The rail this request settled on.

One of the following:
"stripe"
"natural"
stripe: Optional[DataStripe]

Ids of the Stripe objects on your connected account — join keys into your own Stripe Dashboard/API. Manage a subscription’s post-checkout lifecycle with subscription_id.

customer_id: Optional[str]

The Customer the request is attached to (cus_...). Always set in subscription mode; set in payment mode only when the request was created with a customer_id.

payment_intent_id: Optional[str]

The PaymentIntent collected at checkout (pi_...).

subscription_id: Optional[str]

Subscription mode — the Subscription (sub_...).

trial_end: Optional[datetime]

Subscription mode — when the free trial ends and the first charge happens. On a trial request, payment.succeeded means the payment method was collected ($0 moved).

formatdate-time
updated_at: Optional[datetime]
formatdate-time
event_id: str

Unique identifier for this event (for deduplication)

formatuuid
event_type: Literal["payment.succeeded", "payment.canceled", "payment.expired", 66 more]
One of the following:
"payment.succeeded"
"payment.canceled"
"payment.expired"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: str

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: str

Trace ID for debugging and correlation across systems.

webhook_version: str

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.